<?php
/**
 * Default Values.
 *
 * @package Coverage
 */

if (!function_exists('coverage_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function coverage_get_default_theme_options(){

        $coverage_defaults = array();

        $coverage_defaults['twp_coverage_home_sections_2'] = array(
            array(
                'home_section_type' => 'double-column-grid-list',
                'section_ed' => 'yes',
                'double_col_section_title_1' => esc_html__('Popular Post','coverage'),
                'double_col_section_title_2' => esc_html__('Trending Post','coverage'),
                'double_col_section_title_3' => esc_html__('Slider Post','coverage'),
                'section_category_1' => '',
                'section_category_2' => '',
                'tiles_post_per_page_1' => 2,
                'tiles_post_per_page_2' => 5,
            ),
            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'section_category_3' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'bg_image_size' => 'auto',
                'background_image_repeat' => 'yes',
                'background_image_scroll' => 'yes',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'home_section_title_1' => esc_html__('Block Title One','coverage'),
                'home_section_title_2' => esc_html__('Block Title Tab','coverage'),
                'background_color' => '#f5f5f5'
            ),
            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'no',
                'section_category' => '',
                'tiles_post_per_page' => 5,
            ),

            array(
                'home_section_type' => 'main-banner',
                'section_ed' => 'no',
                'home_section_title' => '',
                'bg_image_size' => 'auto',
                'background_image_repeat' => 'yes',
                'background_image_scroll' => 'yes',
                'enable_wide_layout' => 'no',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'background_color' => '#f5f5f5'
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
                'section_video_ratio' => 'default',
                'section_video_autoplay' => 'autoplay-disable',
            ),
            array(
                'home_section_type' => 'slider-blocks',
                'section_ed' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'background_color' => '#161617'
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'carousel-blocks',
                'section_ed' => 'no',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'home_section_title' => esc_html__('Block Title','coverage'),
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
                'sidebar_ed' => 'no',
            ),
        );

        // Options.
        $coverage_defaults['global_sidebar_layout'] = 'right-sidebar';
        $coverage_defaults['coverage_archive_layout'] = 'default';
        $coverage_defaults['coverage_pagination_layout'] = 'numeric';
        $coverage_defaults['footer_column_layout'] = 3;
        $coverage_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'coverage');
        $coverage_defaults['ed_header_search'] = 1;
        $coverage_defaults['ed_ticker_slider_autoplay'] = 0;
        $coverage_defaults['ed_header_ad'] = 0;
        $coverage_defaults['ed_header_ticker_posts'] = 1;
        $coverage_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'coverage');
        $coverage_defaults['ed_image_content_inverse'] = 0;
        $coverage_defaults['ed_related_post'] = 1;
        $coverage_defaults['related_post_title'] = esc_html__('More Stories', 'coverage');
        $coverage_defaults['twp_navigation_type'] = 'norma-navigation';
        $coverage_defaults['coverage_single_post_layout'] = 'layout-1';
        $coverage_defaults['ed_post_date'] = 1;
        $coverage_defaults['ed_post_tags'] = 1;
        $coverage_defaults['ed_post_category'] = 1;
        $coverage_defaults['ed_header_tags'] = 1;
        $coverage_defaults['ed_header_overlay'] = 0;
        $coverage_defaults['ed_floating_next_previous_nav'] = 1;
        $coverage_defaults['coverage_header_bg_size'] = 1;
        $coverage_defaults['ed_preloader'] = 1;
        $coverage_defaults['ed_header_bg_fixed'] = 0;
        $coverage_defaults['ed_header_bg_overlay'] = 1;
        $coverage_defaults['post_date_format'] = 'default';
        $coverage_defaults['ed_fullwidth_layout'] = 'default';
        $coverage_defaults['ed_post_views'] = 0;
        $coverage_defaults['ed_scroll_top_button'] = 1;

        $coverage_defaults['ed_tags_wide_layout']             = 0;

        $coverage_defaults['ed_autoplay']             = 'autoplay-disable';
        $coverage_defaults['post_video_aspect_ration']             = 'default';

        // Pass through filter.
        $coverage_defaults = apply_filters('coverage_filter_default_theme_options', $coverage_defaults);

        return $coverage_defaults;

    }

endif;
