<?php
/**
* Posts Settings.
*
* @package Coverage
*/

$coverage_default = coverage_get_default_theme_options();

// Single Post Section.
$wp_customize->add_section( 'posts_settings',
	array(
	'title'      => esc_html__( 'Article Meta Settings', 'coverage' ),
	'priority'   => 35,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting('ed_post_date',
    array(
        'default' => $coverage_default['ed_post_date'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'coverage_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_post_date',
    array(
        'label' => esc_html__('Enable Posts Date', 'coverage'),
        'section' => 'posts_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_post_category',
    array(
        'default' => $coverage_default['ed_post_category'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'coverage_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_post_category',
    array(
        'label' => esc_html__('Enable Posts Category', 'coverage'),
        'section' => 'posts_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_post_tags',
    array(
        'default' => $coverage_default['ed_post_tags'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'coverage_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_post_tags',
    array(
        'label' => esc_html__('Enable Posts Tags', 'coverage'),
        'section' => 'posts_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_post_views',
    array(
        'default' => $coverage_default['ed_post_views'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'coverage_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_post_views',
    array(
        'label' => esc_html__('Enable Posts Views', 'coverage'),
        'section' => 'posts_settings',
        'type' => 'checkbox',
    )
);


// Enable Disable Post.
$wp_customize->add_setting('post_date_format',
    array(
        'default' => $coverage_default['post_date_format'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'coverage_sanitize_select',
    )
);
$wp_customize->add_control('post_date_format',
    array(
        'label' => esc_html__('Posted Date Format', 'coverage'),
        'section' => 'posts_settings',
        'type' => 'select',
        'choices'               => array(
            'default' => esc_html__( 'Apply Default Format', 'coverage' ),
            'time-ago' => esc_html__( 'Apply Time Age Format', 'coverage' ),
            ),
        )
);

// Enable Disable Post.
$wp_customize->add_setting('post_video_aspect_ration',
    array(
        'default' => $coverage_default['post_video_aspect_ration'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'coverage_sanitize_select',
    )
);
$wp_customize->add_control('post_video_aspect_ration',
    array(
        'label' => esc_html__('Global Video Aspect Ratio', 'coverage'),
        'section' => 'posts_settings',
        'type' => 'select',
        'choices'               => array(
            'default' => esc_html__( 'Default', 'coverage' ),
            'square' => esc_html__( 'Square', 'coverage' ),
            'portrait' => esc_html__( 'Portrait', 'coverage' ),
            'landscape' => esc_html__( 'Landscape', 'coverage' ),
            ),
        )
);


$wp_customize->add_setting('ed_autoplay',
    array(
        'default' => $coverage_default['ed_autoplay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'coverage_sanitize_select',
    )
);
$wp_customize->add_control('ed_autoplay',
    array(
        'label' => esc_html__('Global Video Autoplay', 'coverage'),
        'section' => 'posts_settings',
        'type' => 'select',
        'choices'               => array(
            'autoplay-enable' => esc_html__( 'Autoplay Enable', 'coverage' ),
            'autoplay-disable' => esc_html__( 'Autoplay Disable', 'coverage' ),
            ),
        )
);