<?php
/**
 *
 * Front Page
 *
 * @package Coverage
 */

get_header();


    $coverage_default = coverage_get_default_theme_options();
    $twp_coverage_home_sections_2 = get_theme_mod( 'twp_coverage_home_sections_2', json_encode( $coverage_default['twp_coverage_home_sections_2'] ) );
    $paged_active = false;

    if ( !is_paged() ) {
        $paged_active = true;
    }

    $twp_coverage_home_sections_2 = json_decode( $twp_coverage_home_sections_2 );
    $repeat_times = 1;
    foreach ( $twp_coverage_home_sections_2 as $coverage_home_section ) {

        $home_section_type = isset( $coverage_home_section->home_section_type ) ? $coverage_home_section->home_section_type : '';

        switch ($home_section_type) {

            case 'banner-blocks-1':

                $ed_banner_blocks_1 = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';
                if ( $ed_banner_blocks_1 == 'yes' && $paged_active ) {
                    coverage_banner_block_1_section( $coverage_home_section, $repeat_times );
                }
            break;

            case 'main-banner':

                $ed_slider_blocks = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';
                if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                    coverage_main_banner( $coverage_home_section, $repeat_times );
                }

            break;

            case 'double-column-grid-list':
                $ed_double_grid_list_blocks = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';
                if ( $ed_double_grid_list_blocks == 'yes' && $paged_active ) {
                    double_post_grid_list_post( $coverage_home_section, $repeat_times );
                }

            break;

            case 'slider-blocks':

                $ed_slider_blocks = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';
                if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                    coverage_slider_blocks( $coverage_home_section, $repeat_times );
                }

            break;

            case 'latest-posts-blocks':

                $ed_latest_posts_blocks = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';
                if ( $ed_latest_posts_blocks == 'yes' ) {
                    coverage_latest_blocks( $coverage_home_section, $repeat_times );
                }

            break;

            case 'carousel-blocks':

                $ed_carousel_blocks = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';
                if ( $ed_carousel_blocks == 'yes' && $paged_active ) {
                    coverage_carousel_posts( $coverage_home_section, $repeat_times );
                }

            break;

            case 'tiles-blocks':

                $ed_tiles_block = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';
                if ( $ed_tiles_block == 'yes' && $paged_active ) {
                    coverage_tiles_block_section( $coverage_home_section, $repeat_times );
                }

            break;

            case 'advertise-blocks':

                $ed_advertise_blocks = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';
                if ( $ed_advertise_blocks == 'yes' && $paged_active ) {
                    coverage_advertise_block( $coverage_home_section, $repeat_times );
                }
                
            break;

            case 'home-widget-area':

                $ed_home_widget_area = isset( $coverage_home_section->section_ed ) ? $coverage_home_section->section_ed : '';
                if ( $ed_home_widget_area == 'yes' && $paged_active ) {
                    coverage_case_home_widget_area_block( $coverage_home_section, $repeat_times );
                }
                
            break;

            default:

            break;

        }

        $repeat_times++;
    }

get_footer();
