<?php
/**
 * Header Content
 *
 * @package Coverage
 */

use coverage\Coverage_Walkernav;

$coverage_default = coverage_get_default_theme_options();
$coverage_header_bg_size = get_theme_mod( 'coverage_header_bg_size', $coverage_default['coverage_header_bg_size'] );
$ed_header_bg_fixed = get_theme_mod( 'ed_header_bg_fixed', $coverage_default['ed_header_bg_fixed'] );
$ed_header_bg_overlay = get_theme_mod( 'ed_header_bg_overlay', $coverage_default['ed_header_bg_overlay'] ); ?>



<header id="site-header" class="theme-header <?php if( $ed_header_bg_overlay ){ echo 'header-overlay-enabled'; } ?>" role="banner">
    <div class="theme-topbar">
       <div class="wrapper">
           <div class="column-row column-row-collapse">
               <div class="column column-3 topbar-area-bg">
                   <div class="theme-topbar-date">
                       <span class="topbar-date-icon"><?php coverage_the_theme_svg('calendar'); ?></span>
                       <span class="topbar-date-label"><?php echo wp_kses_post(date(get_option('date_format'))); ?></span>
                   </div>
               </div>
               <div class="column column-5">
               </div>
               <div class="column column-4">
                   <?php
                   // social menu backup
                   if (has_nav_menu('coverage-social-menu')) { ?>

                       <div class="topbar-social-navigation">

                           <?php
                           wp_nav_menu(

                               array(
                                   'theme_location' => 'coverage-social-menu',
                                   'link_before' => '<span class="screen-reader-text">',
                                   'link_after' => '</span>',
                                   'container' => 'div',
                                   'container_class' => 'coverage-social-menu',
                                   'depth' => 1,
                               )

                           ); ?>

                       </div>

                   <?php } ?>
               </div>
           </div>
       </div>
    </div>
    <div class="header-navbar <?php if( get_header_image() ){ if( $ed_header_bg_fixed ){ echo 'data-bg-fixed'; } ?> data-bg header-bg-<?php echo esc_attr( $coverage_header_bg_size ); ?> <?php } ?> "  <?php if( get_header_image() ){ ?> data-background="<?php echo esc_url(get_header_image()); ?>" <?php } ?>>
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">
                <div class="header-titles">
                    <?php
                    coverage_site_logo();
                    coverage_site_description();
                    ?>
                </div>

            </div>

            <div class="header-item header-item-center">
                <div class="site-navigation">
                    <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'coverage'); ?>" role="navigation">
                        <ul class="primary-menu theme-menu">
                            <?php
                            if( has_nav_menu('coverage-primary-menu') ){

                                wp_nav_menu(
                                    array(
                                        'container' => '',
                                        'items_wrap' => '%3$s',
                                        'theme_location' => 'coverage-primary-menu',
                                        'walker' => new coverage\Coverage_Walkernav(),
                                    )
                                );

                            }else{

                                wp_list_pages(
                                    array(
                                        'match_menu_classes' => true,
                                        'show_sub_menu_icons' => true,
                                        'title_li' => false,
                                        'walker' => new Coverage_Walker_Page(),
                                    )
                                );

                            } ?>
                        </ul>
                    </nav>

                </div>
            </div>

            <div class="header-item header-item-right">
                <?php coverage_search_offcanvas_icon_render(); ?>
            </div>
        </div>
    </div>

</header>


<div class="site-content-extras">
    <?php
    if( is_home() || is_front_page() ){
        coverage_header_ticker_posts();
    }
    ?>
</div>

<div class="header-avs-area">
    <?php coverage_header_ad(); ?>
</div>